-- filnavn: brugeroprettelse.sql

-- Definition af tabellerne

CREATE TABLE brugere (
  brugernavn varchar(20) default NULL,
  adgangskode varchar(20) default NULL,
  -- eventuelt flere kolonner om brugerne
  epost varchar(50) default NULL
);

CREATE TABLE brugerroller (
  brugernavn varchar(15) NOT NULL default '',
  rollenavn varchar(15) NOT NULL default '',
  PRIMARY KEY (brugernavn,rollenavn)
);

-- Data til tabellerne

INSERT INTO brugere VALUES ('Jacob','hemli','');
INSERT INTO brugere VALUES ('Preben','hemli','');
INSERT INTO brugere VALUES ('Sren','hemli','');

INSERT INTO brugerroller VALUES ('Jacob','kunde');
INSERT INTO brugerroller VALUES ('Jacob','tomcat');
INSERT INTO brugerroller VALUES ('Jacob','administrator');

INSERT INTO brugerroller VALUES ('Preben','kunde');
INSERT INTO brugerroller VALUES ('Preben','tomcat');

INSERT INTO brugerroller VALUES ('Sren','kunde');